Bug 1134885 - gnome wayland session: impossible to change display resolution
Summary: gnome wayland session: impossible to change display resolution
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2014-08-28 12:15 UTC by Fabio Valentini
Modified: 2016-12-20 12:52 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-20 12:52:35 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 744544 None None None 2019-06-27 07:37 UTC

Description Fabio Valentini 2014-08-28 12:15:29 UTC
Description of problem:
gnome wayland session starts without issues.
control-center only presents the maximum display resolution of 3200x1800 as a "choice" (which is nearly impossible to use right now)

Version-Release number of selected component (if applicable):
gnome-shell-3.13.90-1.fc21.x86_64
control-center-3.13.90-1.fc21.x86_64

How reproducible:
May be specific to my hardware (Lenovo Yoga 2 Pro), or affect HiDPI displays in general.

Steps to Reproduce:
1. Start gnome wayland session
2. Start control-center, display settings
3. Only presented resolution choice is maximum resolution of 3200x1800 (here)

Actual results:
Impossible to change to sane / usable display resolution.

Expected results:
Possibility to change resolution, to e.g. 1920x1080.

Graphics adapter:
Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09)

Comment 1 Christian Stadelmann 2014-09-30 23:39:45 UTC
This seems to be specific to your hardware or affect only HiDPI displays. I can not confirm this bug with F21 Alpha + gnome-session-wayland-session running on Intel Core i5 (first Generation) iGPU + ordinary FullHD (1920x1080) monitor. I can change my resolution as I want.

Comment 2 Fabio Valentini 2014-10-01 06:49:48 UTC
I feared as much - do you know if it is possible to set a custom screen resolution for mutter (like in xorg.conf for X or weston.ini for weston)?

It is not a huge problem anymore since hidpi support in gnome 3.14 is quite good, only google chrome sticks out like a sore thumb (and qt applications, too).

Comment 3 Christian Stadelmann 2014-10-16 21:44:05 UTC
You may try again with gnome 3.14.1 release.

Comment 4 Fabio Valentini 2014-10-29 10:14:58 UTC
gnome 3.14.1 does not change the situation.

Comment 5 redtux 2014-11-27 10:35:46 UTC
I can confirm the same situation on Fedora 21 Beta. Only choice is 1440x900 (this is on a Lenovo T400 laptop)

Comment 6 Fedora End Of Life 2015-11-04 14:50:09 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fabio Valentini 2015-11-11 12:31:22 UTC
FYI: I believe this had been fixed in the meantime, but with fedora 23 and gnome 3.18, the only choice of display resolution under wayland is, again, 3200x1800. On X, there are ~15 display resolutions to choose from.

Comment 8 Christian Stadelmann 2015-11-12 11:00:32 UTC
Ok, I can confirm this behavior now on a laptop (Samsung 400B2B). I guess it has peen present with 3.14 too. Is it possible that this behavior only affects internal displays or e.g. displays without EDID information?

Comment 9 Kamil Páral 2016-02-08 09:31:36 UTC
I believe this is this bug:
https://bugzilla.gnome.org/show_bug.cgi?id=744544

Comment 10 M. Edward (Ed) Borasky 2016-06-28 20:07:10 UTC
I've got this on a freshly installed Fedora 24 system. My monitor is weird; it doesn't seem to tell Linux its characteristics at all. So with X, I end up having to add a modeline in /etc/X11/xorg.conf to get its native 1360x768 resolution. Even on X11 the GNOME Display setting only offers 1024x768 and 800x600 without the modeline. With a GNOME on Wayland session, all I get is 1024x768 or 800x600.

Comment 11 Owen Taylor 2016-06-28 20:46:39 UTC
(In reply to M. Edward (Ed) Borasky from comment #10)
> I've got this on a freshly installed Fedora 24 system. My monitor is weird;
> it doesn't seem to tell Linux its characteristics at all. So with X, I end
> up having to add a modeline in /etc/X11/xorg.conf to get its native 1360x768
> resolution. Even on X11 the GNOME Display setting only offers 1024x768 and
> 800x600 without the modeline. With a GNOME on Wayland session, all I get is
> 1024x768 or 800x600.

Finding out what is going wrong:

 ls /sys/class/drm/*/edid

 will show you reported edid information for displays on your system, and then 
 you can use edid-decode to show what is in those blocks.

Working around it:

 Add the right video= setting to the kernel command line in the grub configuration, something like:

  video=eDP:1360x768

  See:
https://www.kernel.org/doc/Documentation/fb/modedb.txt

Comment 12 M. Edward (Ed) Borasky 2016-06-28 21:20:39 UTC
(In reply to Owen Taylor from comment #11)
> (In reply to M. Edward (Ed) Borasky from comment #10)
> > I've got this on a freshly installed Fedora 24 system. My monitor is weird;
> > it doesn't seem to tell Linux its characteristics at all. So with X, I end
> > up having to add a modeline in /etc/X11/xorg.conf to get its native 1360x768
> > resolution. Even on X11 the GNOME Display setting only offers 1024x768 and
> > 800x600 without the modeline. With a GNOME on Wayland session, all I get is
> > 1024x768 or 800x600.
> 
> Finding out what is going wrong:
> 
>  ls /sys/class/drm/*/edid
> 
>  will show you reported edid information for displays on your system, and
> then 
>  you can use edid-decode to show what is in those blocks.
> 
> Working around it:
> 
>  Add the right video= setting to the kernel command line in the grub
> configuration, something like:
> 
>   video=eDP:1360x768
> 
>   See:
> https://www.kernel.org/doc/Documentation/fb/modedb.txt

OK ... well ...

$ xrandr
Screen 0: minimum 320 x 200, current 1360 x 768, maximum 16384 x 16384
DisplayPort-0 disconnected (normal left inverted right x axis y axis)
HDMI-0 disconnected (normal left inverted right x axis y axis)
DVI-0 disconnected (normal left inverted right x axis y axis)
DVI-1 connected primary 1360x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1360x768_60.00  59.80*+
   1024x768      60.00  
   800x600       60.32    56.25  
   848x480       60.00  
   640x480       59.94  

and

$ ls /sys/class/drm/*/edid
/sys/class/drm/card0-DP-1/edid     /sys/class/drm/card0-DVI-I-1/edid
/sys/class/drm/card0-DVI-D-1/edid  /sys/class/drm/card0-HDMI-A-1/edid

so ...

1. Assuming it's one of the two DVIs, edid-decode gives the same non-answer for both - something I already knew - the monitor isn't telling Linux anything.
2. There must be some way to tell Wayland the monitor resolution without having to figure out magic kernel incantations ... something like xorg.conf or xrandr addmode.

Comment 13 Mario Krišto 2016-08-30 19:42:04 UTC
I can confirm this problem on fedora 24 on laptop with HiDPI screen running 2k resolution on haswell intel HD iris graphics. 

A tool like /etc/X11/xorg.conf.d/ would really be nice. 

A bit off topic, I had trouble like this with xrandr in the past - https://bugzilla.gnome.org/show_bug.cgi?id=748213. From fedora 23 they get detected automatically, which is nice. :)

Comment 14 Mario Krišto 2016-08-30 20:03:01 UTC
P.S. I added the `video=eDP-1:1920x1080@60` parameter to kernel boot, which then detected the resolution nicely, but now gnome still thinks it's in HiDPI = 2, even though it's not.. bummer. I really want those tear free videos and page scrolls :cries-like-a-child:

Comment 15 Christian Stadelmann 2016-09-28 22:11:00 UTC
This issue is fixed on Fedora 25 with Gnome 3.22.

Comment 16 M. Edward (Ed) Borasky 2016-09-28 22:45:41 UTC
(In reply to Christian Stadelmann from comment #15)
> This issue is fixed on Fedora 25 with Gnome 3.22.

Is this in the alpha? It wouldn't be a major disruption for me to upgrade right now.

Comment 17 Christian Stadelmann 2016-09-28 22:52:44 UTC
(In reply to M. Edward (Ed) Borasky from comment #16)
> (In reply to Christian Stadelmann from comment #15)
> > This issue is fixed on Fedora 25 with Gnome 3.22.
> 
> Is this in the alpha? It wouldn't be a major disruption for me to upgrade
> right now.

Yes, it is. In fact I think this bug report is a duplicate of bug #1374600, which landed between 3.21.91-2 and 3.21.92. You might be able to confirm the fix on a alpha compose (live workstation system).

I don't think you'll have to upgrade, it might still break things. But since you were using wayland before you probably know that and care as much as I do. I'm running F25 fine. See https://fedoraproject.org/wiki/Common_F25_bugs for some common hiccups.

Comment 18 M. Edward (Ed) Borasky 2016-09-28 23:36:22 UTC
(In reply to Christian Stadelmann from comment #17)
> (In reply to M. Edward (Ed) Borasky from comment #16)
> > (In reply to Christian Stadelmann from comment #15)
> > > This issue is fixed on Fedora 25 with Gnome 3.22.
> > 
> > Is this in the alpha? It wouldn't be a major disruption for me to upgrade
> > right now.
> 
> Yes, it is. In fact I think this bug report is a duplicate of bug #1374600,
> which landed between 3.21.91-2 and 3.21.92. You might be able to confirm the
> fix on a alpha compose (live workstation system).
> 
> I don't think you'll have to upgrade, it might still break things. But since
> you were using wayland before you probably know that and care as much as I
> do. I'm running F25 fine. See https://fedoraproject.org/wiki/Common_F25_bugs
> for some common hiccups.

I got a kernel panic trying to boot the ISO of the Workstation alpha ... I'll grab a nightly compose and try again.

Comment 19 M. Edward (Ed) Borasky 2016-09-29 00:11:37 UTC
(In reply to M. Edward (Ed) Borasky from comment #18)
> (In reply to Christian Stadelmann from comment #17)
> > (In reply to M. Edward (Ed) Borasky from comment #16)
> > > (In reply to Christian Stadelmann from comment #15)
> > > > This issue is fixed on Fedora 25 with Gnome 3.22.
> > > 
> > > Is this in the alpha? It wouldn't be a major disruption for me to upgrade
> > > right now.
> > 
> > Yes, it is. In fact I think this bug report is a duplicate of bug #1374600,
> > which landed between 3.21.91-2 and 3.21.92. You might be able to confirm the
> > fix on a alpha compose (live workstation system).
> > 
> > I don't think you'll have to upgrade, it might still break things. But since
> > you were using wayland before you probably know that and care as much as I
> > do. I'm running F25 fine. See https://fedoraproject.org/wiki/Common_F25_bugs
> > for some common hiccups.
> 
> I got a kernel panic trying to boot the ISO of the Workstation alpha ...
> I'll grab a nightly compose and try again.

I got the 20160924.n.0 nightly to boot. There's still only the defaults 1024x768 and 800x600 in the GNOME display settings, which I'm assuming is because the monitor isn't telling the kernel anything about available resolutions. So there needs to be documentation on how to do that when booting live Workstation media and an installed Wayland system.

P.S.: because "liveuser" has no password, you can't log out and log back in again with GNOME on X.

Comment 20 Fedora End Of Life 2016-11-24 11:12:53 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2016-12-20 12:52:35 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.